from enum import Enum
from pydantic import BaseModel, Field

class ProgressType(str, Enum):
    """推进分类枚举"""
    A = "A"
    B = "B"
    C = "C"

class KeyConstraints(str, Enum):
    NONE = "NONE"
    LAND = "LAND"
    TRANSMISSION = "TRANSMISSION"
    BOTH = "BOTH"
    QT = "QT"

class DBTCSCORE(BaseModel):
    year: str = Field(..., description="评分年份, yyyy格式")
    is_jg: bool = Field(..., description="是否为工达标投产")
    score: float = Field(..., description="集团考核评分")

class ProjectType(str, Enum):
    """项目类型枚举"""
    PHOTOVOLTAIC = "photovoltaic"  # 光伏
    OFFSHORE_WIND = "offshore_wind"  # 海风
    ONSHORE_WIND = "onshore_wind"  # 陆风
    HYDROPOWER = "hydropower"  # 水电
    THERMAL_POWER = "thermal_power"  # 火电
    PUMPED_STORAGE = "pumped_storage"  # 抽蓄
    GAS_TURBINE = "gas_turbine"  # 气电